none
利用VB2013和CAD2015对接的问题 RRS feed

  • 问题

  • 我利用VB2013引用了CAD的材质库,程序如下

    Sub 计算程序()
            '///////////////////////////////////////////////////////////////////////////////////
            '定义及加载工作表
            Dim xlapp As Excel.Application
            Dim xlbook As Excel.Workbook
            Dim xlsheet As Excel.Worksheet
            xlapp = CreateObject("excel.application")
            xlbook = xlapp.Workbooks.Open(TextBox1.Text)
            xlsheet = xlbook.Worksheets("sheet1")

      '定义及加载CAD

            Dim AcadApp As AutoCAD.AcadApplication
            Dim Docs As AutoCAD.AcadDocuments
            Dim MSpace As AutoCAD.AcadModelSpace

            AcadApp = New AcadApplication
            Docs = AcadApp.Documents.Open(TextBox2.Text)
            MSpace = Docs.modelspace

            Dim textobj As AutoCAD.AcadText '定义文本
            Dim textstring As String
            Dim insertionPoint(0 To 2) As Double '定义插入点
            Dim height As Double '定义文字高度

            '读取工作表行列数

    以下省略,每次都卡在粗体的那一行,提示下图,可以确定CAD已经打开了,因为

    1.我没有注册CAD的时候,运行这个语句会出来一个未注册的错误窗口

    2.我加载一个带有宏的dwg时候提示我是否禁用

    2015年5月11日 5:50

答案

  • 解决了,是因为两个语句执行得太快了,CAD还没启动就执行  Docs = AcadApp.Documents.Open(TextBox2.Text)所以不行,我在AcadApp = New AcadApplication
    Docs = AcadApp.Documents.Open(TextBox2.Text)两行中间加了个MSGBOX等几秒就好了
    • 已标记为答案 MIG2000 2015年5月12日 8:50
    2015年5月12日 8:50

全部回复